Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.jni
Class Sockaddr

    java.lang.Object
      org.apache.tomcat.jni.Sockaddr

    public class Sockaddr

extends Object

Sockaddr

Version:
  $Id: Sockaddr.java 939309 2010-04-29 13:54:26Z kkolinko $
Author:
  Mladen Turk

Field Summary
`int` | `family` The family
`String` | `hostname` The hostname
`long` | `next` If multiple addresses were found by apr_sockaddr_info_get(), this points to a representation of the next address.
`long` | `pool` The pool to use...
`int` | `port` The numeric port
`String` | `servname` Either a string of the port number or the service name for the port

Constructor Summary
`Sockaddr()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pool

    public long pool

  The pool to use...

### hostname

    public String hostname

  The hostname

### servname

    public String servname

  Either a string of the port number or the service name for the port

### port

    public int port

  The numeric port

### family

    public int family

  The family

### next

    public long next

  If multiple addresses were found by apr_sockaddr_info_get(), this points to a representation of the next address.

Constructor Detail

### Sockaddr

    public Sockaddr()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.